Name:		git-extras
Version:	1.9.0
Release:	1%{?dist}
Summary:	Little git extras
Group:		Development/Tools

License:	MIT
URL:		https://github.com/visionmedia/%{name}
Source0:	https://github.com/visionmedia/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

# fix several issues
# all patches committed to upstream, see:
# https://github.com/visionmedia/git-extras/pull/175
Patch0:		%{name}-%{version}_fixes.patch

BuildArch:	noarch
BuildRequires:	rubygem-ronn
Requires:	bash-completion git

%description
%{name} adds the following extra-commands to git:

alias, archive-file, bug, changelog, commits-since, contrib, count,
create-branch, delete-branch, delete-submodule, delete-tag, effort,
extras, feature, fresh-branch, gh-pages, graft, ignore, info,
local-commits, obliterate, promote, refactor, release, repl, setup,
squash, summary, touch, undo

For more information about the extra-commands, see the included
README.md, HTML, mark-down or man-pages.


%prep
%setup -q
%patch0 -p1
# remove `/usr/bin/env` from hashbang
# some scripts contain bashisms
# prefer bash over sh
sed -i	-e "s/\/env[ \t]*/\//g" \
	-e "s/\/usr\/bin\/.*sh/\/bin\/bash/g" \
	-e "s/\/bin\/sh/\/bin\/bash/g" \
	bin/*

%build
# stop ruby split-method compaining about
# `invalid byte sequence in US-ASCII (ArgumentError)`
# by exporting UTF-8 encoding to C-locale.
export LC_CTYPE="en_US.UTF-8"
pushd man
# build manpages and HTML-doc
./manning-up.sh
# replace all (escaped-dots) (\.) with the proper 
# escape-sequence for <dot> in manpages (\[char46])
# (rubygem-)ronn doesn't handle this correctly.
sed -ie "s/\\\\\./\\\\\[char46\]/g" *.1
popd


%install
%make_install PREFIX=%{_prefix}
mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d \
	 html md
install -pm 0644 etc/bash_completion.sh \
		 %{buildroot}%{_sysconfdir}/bash_completion.d/%{name}
install -pm 0644 man/*.html html
install -pm 0644 man/*.md md


%files
%config(noreplace) %{_sysconfdir}/bash_completion.d/*
%doc AUTHORS History.md LICENSE Readme.md html/ md/
%{_bindir}/*
%{_mandir}/man*/*


%changelog
* Thu Jun 20 2013 Björn Esser <bjoern.esser@gmail.com> - 1.9.0-1
- new upstream-version

* Mon Jun 10 2013 Björn Esser <bjoern.esser@gmail.com> - 1.8.0-3
- nuked `BuildRequires: groff-base`; gets pulled by rubygem-ronn

* Fri Jun 07 2013 Björn Esser <bjoern.esser@gmail.com> - 1.8.0-2
- added missing %%{version} in Source0
- added missing %%{name} in `install etc/bash_completion.sh`-line

* Mon Jun 03 2013 Björn Esser <bjoern.esser@gmail.com> - 1.8.0-1
- Initial rpm release
